Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## controlP5
Class ControlP5IOHandler

    java.lang.Object
      controlP5.ControlP5IOHandler

    public class ControlP5IOHandler

extends java.lang.Object

A input/output helper class.

Constructor Summary
`ControlP5IOHandler(ControlP5 theControlP5)`

Method Summary
`static java.lang.String` | `arrayToString(java.lang.Object aArray)` * Convenience method for producing a simple textual representation of an array.
`static java.lang.String` | `forHTMLTag(java.lang.String aTagFragment)` borrowed from http://www.javapractices.com/Topic96.cjp
`static java.lang.String` | `forURL(java.lang.String aURLFragment)` borrowed from http://www.javapractices.com/Topic96.cjp
`static java.lang.String` | `intToString(int theInt)`
`static java.awt.Image` | `loadImage(java.awt.Component theComponent, java.net.URL theURL)` Deprecated.
`static java.awt.Image` | `loadImage2(java.net.URL theURL)` Deprecated.
`static int` | `parseHex(java.lang.String theHex)` convert a hex number into an int
`static java.lang.String` | `replace(java.lang.String theSourceString, java.lang.String theSearchForString, java.lang.String theReplaceString)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlP5IOHandler

    public ControlP5IOHandler(ControlP5 theControlP5)

Method Detail

### forURL

    public static java.lang.String forURL(java.lang.String aURLFragment)

  borrowed from http://www.javapractices.com/Topic96.cjp

  Parameters:
    `aURLFragment` - String
  Returns:
    String

### forHTMLTag

    public static java.lang.String forHTMLTag(java.lang.String aTagFragment)

  borrowed from http://www.javapractices.com/Topic96.cjp

  Parameters:
    `aTagFragment` - String
  Returns:
    String

### replace

    public static java.lang.String replace(java.lang.String theSourceString,
                                           java.lang.String theSearchForString,
                                           java.lang.String theReplaceString)

### parseHex

    public static int parseHex(java.lang.String theHex)

  convert a hex number into an int

  Parameters:
    `theHex` -
  Returns:

### intToString

    public static java.lang.String intToString(int theInt)

### arrayToString

    public static java.lang.String arrayToString(java.lang.Object aArray)

  * Convenience method for producing a simple textual representation of an array.

  The format of the returned `String` is the same as `AbstractCollection.toString`:

  - non-empty array: [blah, blah]
  - empty array: []
  - null array: null
  `aArray` is a possibly-null array whose elements are primitives or objects; arrays of arrays are also valid, in which case `aArray` is rendered in a nested, recursive fashion.

### loadImage2

    @Deprecated
    public static java.awt.Image loadImage2(java.net.URL theURL)

  Deprecated.

### loadImage

    @Deprecated
    public static java.awt.Image loadImage(java.awt.Component theComponent,
                                                      java.net.URL theURL)

  Deprecated.

  load an image with MediaTracker to prevent nullpointers e.g. in BitFontRenderer

  Parameters:
    `theURL` -
  Returns:

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library controlP5 by Andreas Schlegel. (c) 2011